<template>
 <v-page :header-text="headerText">
    <font-awesome-icon icon="check-circle" class="icon-success"/>
    <br/>
    <div class="text">Email confirmed</div>
    <br/>
    <v-button @click="onSignInFinished">{{ buttonSignInFinishedText }}</v-button>
  </v-page>
</template>

<script>
  import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'
  import { library } from '@fortawesome/fontawesome-svg-core'
  import { faCheckCircle } from '@fortawesome/free-solid-svg-icons'

  import { VPage } from 'zeus-common'
  import { VButton } from 'zeus-common'
  import { ButtonSignInFinished, header as headerText } from '@/config'

  library.add(faCheckCircle)

  export default {
    name: 'EmailConfirmedPage',
    data: () => ({
      headerText: headerText,
      buttonSignInFinishedText: ButtonSignInFinished.text
    }),
    components: { FontAwesomeIcon, VPage, VButton },
    methods: {
      onSignInFinished() {
        ButtonSignInFinished.go()
      }
    }
  }
</script>

<style scoped lang="scss">
  @import "~zeus-common/src/component/color";

  .icon-success {
    color: $color-success;
    font-size: 2.5em;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
  }
  .text {
    margin-bottom: 1em;
  }
</style>